curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/journal-entries/{id}/reverse' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"reversal_date": null
}'
{
"created_at": "string",
"description": "string",
"entry_date": "string",
"entry_number": "string",
"entry_type": "string",
"id": "string",
"is_balanced": true,
"lines": [
{
"account_id": "string",
"account_name": null,
"account_number": null,
"credit_amount": "string",
"currency": "string",
"debit_amount": "string",
"description": null,
"id": "string",
"line_number": 1
}
],
"period_id": "string",
"posted_at": null,
"posted_by": null,
"reversed_entry_id": null,
"reversing_entry_id": null,
"source": "string",
"status": "string",
"total_credits": "string",
"total_debits": "string"
}
Reverse a journal entry
Reverse a journal entry
POST
/
api
/
v1
/
gl
/
journal-entries
/
{id}
/
reverse
curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/journal-entries/{id}/reverse' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"reversal_date": null
}'
{
"created_at": "string",
"description": "string",
"entry_date": "string",
"entry_number": "string",
"entry_type": "string",
"id": "string",
"is_balanced": true,
"lines": [
{
"account_id": "string",
"account_name": null,
"account_number": null,
"credit_amount": "string",
"currency": "string",
"debit_amount": "string",
"description": null,
"id": "string",
"line_number": 1
}
],
"period_id": "string",
"posted_at": null,
"posted_by": null,
"reversed_entry_id": null,
"reversing_entry_id": null,
"source": "string",
"status": "string",
"total_credits": "string",
"total_debits": "string"
}
Path parameters
string
required
Journal entry ID
Request body
ReverseJournalEntryRequest
string,null
Reversal date in
YYYY-MM-DD format. Defaults to today (UTC).Responses
JournalEntryResponse
ErrorBody
curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/journal-entries/{id}/reverse' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"reversal_date": null
}'
{
"created_at": "string",
"description": "string",
"entry_date": "string",
"entry_number": "string",
"entry_type": "string",
"id": "string",
"is_balanced": true,
"lines": [
{
"account_id": "string",
"account_name": null,
"account_number": null,
"credit_amount": "string",
"currency": "string",
"debit_amount": "string",
"description": null,
"id": "string",
"line_number": 1
}
],
"period_id": "string",
"posted_at": null,
"posted_by": null,
"reversed_entry_id": null,
"reversing_entry_id": null,
"source": "string",
"status": "string",
"total_credits": "string",
"total_debits": "string"
}
โI